| AVR Z-LINKŪ |

# radioInterface.RadioInterface Class Reference

Inheritance diagram for radioInterface.RadioInterface:

[legend]
Collaboration diagram for radioInterface.RadioInterface:

[legend]
List of all members.

## Detailed Description

The radio interface is the next higher layer of the SerialStream. This layer defines the AT-Command interface to the radio.

Application note:
  AVR414: User's Guide - ATAVRRZ502 - Accessory Kit

Author:
  Atmel Corporation: http://www.atmel.com
  Support email: avr@atmel.com

Name
  vkbakken

Revision
  1.5

RCSfile
  code_header_template_CVS_DOXYGEN.txt,v

Date
  2006/04/07 12:40:07

Definition at line 32 of file RadioInterface.java.

## Public Member Functions
void | addNewAssociationIndicationListeners (NewAssociationIndicationListener naiListener)
| This function adds a new NewAssociationIndicationListener to the queue of event listeners.
void | addNewDataIndicationListeners (NewDataIndicationListener ndiListener)
| This function adds a new NewDataIndicationListener to the queue of event listeners.
void | addNewDisassociationIndicationListeners (NewDisassociationIndicationListener ndiListener)
| This function adds a new NewDisassociationIndicationListener to the queue of event listeners.
void | disableIndications ()
| Disables NewAssociatioIndication, NewDataIndication and NewDisassociationIndication. Also disables SerialStreamEvents.
void | enableIndications ()
| Enables NewAssociatioIndication, NewDataIndication and NewDisassociationIndication. Also enables SerialStreamEvents.
| RadioInterface (SerialPort portToUse) throws RadioInterfaceStartException
| Class constructor that generates a new AT-Command interface.
void | removeNewAssociationIndicationListeners (NewAssociationIndicationListener naiListener)
| This function deletes a NewAssociationIndicationListener from the queue of event listeners.
void | removeNewDataIndicationListeners (NewDataIndicationListener ndiListener)
| This function deletes a NewDataIndicationListener from the queue of event listeners.
void | removeNewDisassociationIndicationListeners (NewDisassociationIndicationListener ndiListener)
| This function deletes a NewDisassociationIndicationListener from the queue of event listeners.
boolean | sendConfigure (String channel, String panID, String deviceType)
| Sends the AT+C command and arguments to the radio hw.
boolean | sendData (String data)
| Sends the AT+T command and arguments to the radio hw.
boolean | sendDisAssociate ()
| Sends the AT+D command to the radio hw.
boolean | sendReset ()
| Sends the AT+R command to the radio hw.
void | SerialStreamEvent (SerialStreamEvent serialStreamEvent)
| This is a call-back function that SerialStreamListener must implement.
void | setCommandTimedOut ()
| Used by the TimeOut thread to signal that the acknowledge from the radio timed out.
void | terminateCommunication ()
| Closes the connected SerialStream.
## Protected Member Functions
void | fireNewAssociationIndicationListeners (NewAssociationIndication newDataEvent)
| When this function is called a new NewAssociationIndication is injected into the dispatcher queue to be handled by the associated NewAssociationIndicationListener.
void | fireNewDataIndicationListeners (NewDataIndication newDataEvent)
| When this function is called a new NewDataIndication is injected into the dispatcher queue to be handled by the associated NewAssociationIndicationListener.
void | fireNewDisassociationIndicationListeners (NewDisassociationIndication newDataEvent)
| When this function is called a new NewDisassociationIndication is injected into the dispatcher queue to be handled by the associated NewDisassociationIndicationListener.

@DOC_TITLE@